


ORAEMCASM(8)                                         ORAEMCASM(8)


NNAAMMEE
       oraemcasm  -  EnterpriseSuite  module for saving an Oracle
       database loaded on an EMC Symmetrix disk array

SSYYNNOOPPSSIISS
       oorraaeemmccaassmm [ --aavvXXZZ ] [ --CC || --FF ][ --hh _s_e_r_v_e_r ][ --SS _o_r_a_c_l_e_s_i_d
       ]  [  --HH _o_r_a_c_l_e_h_o_m_e ] [ --uu _r_e_s_f_i_l_e ] [ --pp _d_i_r_e_c_t_o_r_y ] [ --gg
       _g_r_o_u_p ] [ --bb _p_o_o_l ] [ --TT _t_a_b_l_e_s_p_a_c_e [  --TT  _t_a_b_l_e_s_p_a_c_e  ......
       ]] [ --PP _p_f_i_l_e ]



DDEESSCCRRIIPPTTIIOONN
       The  oorraaeemmccaassmm  module  is a standard external Application
       Specific Module (ASM) that uses  EMC  TimeFinder  or  SRDF
       technology  to  save an Oracle datebase that resides on an
       EMC Symmetrix unit.  See uuaassmm(8) for a general description
       of ASM's.

       One  or more tablespaces or an entire database can be pro-
       cessed by one backup operation.  The oorraaeemmccaassmm module pro-
       vides the flexibility to perform archive log only backups,
       hot (or online) backups, or cold (or offline) backups.

       Multiple --TT options may be specified  to  backup  multiple
       tablespaces  in one backup operation.  To backup an entire
       database omit the --TT option.  Backups  may  also  be  per-
       formed  by  running  the  ssaavvee(8) command and specifying a
       dummy file.  The dummy file must be in a  directory  which
       contains  a  directive file specifying oraemcasm should be
       run against the tablespace or database.  Refer to  ssaavvee(8)
       for details.

       Two  databases  sharing  EMC  Symmetrix  disks  may not be
       backed up in parallel.  After performing a backup the user
       should  run  and keep the output from oorraaeemmccmmaapp(8) to help
       with recovery.


OOPPTTIIOONNSS
       oraemcasm accepts the options described below.

       --aa     Archive log backups. With  this  option,  only  the
              archivelogs  and  control  file(s)  are  backed up.
              Default is to backup entire database.

       --XX     Encryption.  Causes the _x_l_a_t_e_a_s_m to be called  when
              saving  tablespaces  (see  uuaassmm(8)  for  details on
              xlateasm.  Default is to not encrypt files.

       --ZZ     Compression.  Causes the _c_o_m_p_r_e_s_s_a_s_m to  be  called
              when saving tablespaces (see uuaassmm(8) for details on
              compressasm.  Default is to not compress files.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





ORAEMCASM(8)                                         ORAEMCASM(8)


       --vv     Verbose.  Cause the program to tell  you  in  great
              detail what it is doing as it proceeds.  Default is
              quiet (no verbosity).

       --CC     Cold  backup,  normal.   Used  for  cold   backups.
              Database  will be shutdown using the "shutdown nor-
              mal" command. Default is "hot" or online backups.

       --FF     Cold backup,  immediate.  Used  for  cold  backups.
              Database will be shutdown using the "shutdown imme-
              diate" command. Default is  "hot"  or  online  back
              ups.

       --bb _p_o_o_l
              Specify  which  volume  pool should be used for the
              save set.

       --hh _s_e_r_v_e_r
              Specify which  machine  to  use  as  the  NetWorker
              server.  If  not  specified,  use  local machine as
              server.

       --SS _o_r_a_c_l_e_s_i_d
              Specify the Oracle SID of the database to be backed
              up. If not set, $ORACLE_SID from the environment is
              used.

       --HH _o_r_a_c_l_e_h_o_m_e
              Specify the ORACLE_HOME directory of  the  database
              to be backed up.  If not set, $ORACLE_HOME from the
              environment is used.

       --uu _r_e_s_f_i_l_e
              Specify the resource  file  for  the  configuration
              information.  If not set, /nsr/res/oraemcasm.res is
              used.

       --pp _d_i_r_e_c_t_o_r_y
              Specify the  location  for  the  extracted  control
              file.  If  not  set,  the Oracle "log_archive_dest"
              directory is used.

       --gg _g_r_o_u_p
              Specify the save group that will be used to  select
              the volume pool.

       --TT _t_a_b_l_e_s_p_a_c_e
              Specify  the  tablespace to be backed up.  The user
              can enter multiple -T options  to  backup  multiple
              tablespaces.   If  this  option is omitted, the all
              tablespaces (or the entire database) are backed up.

       --pp _p_f_i_l_e
              Specify the Oracle parameter file to be used to re-



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





ORAEMCASM(8)                                         ORAEMCASM(8)


              start the Oracle database after a cold backup.   If
              not specified, $ORACLE_HOME/dbs/init$ORACLE_SID.ora
              is used.


EEXXAAMMPPLLEESS
       _B_a_c_k_u_p _a _S_i_n_g_l_e _T_a_b_l_e_s_p_a_c_e
              In this example, the Oracle SID is 'EMC2', the Ora-
              cle   home  directory  is  '/usr/oracle',  and  the
              resource file is /nsr/res/neptune.res.   To  backup
              tablespace 'Test1', use:
                      oorraaeemmccaassmm --SS EEMMCC22 --HH //uussrr//oorraaccllee --uu nneeppttuunnee..rreess --TT TTeesstt11

       _B_a_c_k_u_p _E_n_t_i_r_e _D_a_t_a_b_a_s_e
              To  backup  the  entire  'EMC2'  database using the
              resource file '/nsr/res/pluto.res' use:
                      oorraaeemmccaassmm --SS EEMMCC22 --HH //uussrr//oorraaccllee --uu pplluuttoo..rreess

FFIILLEESS
       //nnssrr//rreess//oorraaeemmccaassmm..rreess
                 Sample oraemcasm resource file.

SSEEEE AALLSSOO
       oorraaeemmccmmaapp(8), nnssrr(5), nnssrr__ddaattaa(5), nnssrr__ddiirreeccttiivvee(5),
       nnssrriinnddeexxaassmm(8), nnssrrmmmmddbbaassmm(8), nnssrrnnoottdd(8), rreeccoovveerr(8),
       ssaavvee(8), ssccaannnneerr(8)































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3


